Bug 175840 - Review Request: xmlrpc-c -- A lightweight RPC library based on XML and HTTP
Review Request: xmlrpc-c -- A lightweight RPC library based on XML and HTTP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-15 12:35 EST by Enrico Scholz
Modified: 2009-11-24 05:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-18 13:50:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jzeleny: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2005-12-15 12:35:33 EST
Spec Name or Url: <spec info here>
SRPM Name or Url: <srpm info here>
Description: <description here>
Comment 1 Enrico Scholz 2005-12-15 12:36:42 EST
Spec Name or Url: http://ensc.de/fedora/xmlrpc-c.spec
SRPM Name or Url: http://ensc.de/fedora/xmlrpc-c-1.04-0.src.rpm
GNU Arch:         tla register-archive ensc@ensc.de--fedora http://ensc.de/tla/{archives}/fedora
                  tla get -A ensc@ensc.de--fedora xmlrpc-c--review--0 smart

XML-RPC is a quick-and-easy way to make procedure calls over the
Internet. It converts the procedure call into XML document, sends it
to a remote server using HTTP, and gets back the response as XML.

This library provides a modular implementation of XML-RPC for C and
C++.
Comment 2 Ville Skyttä 2005-12-15 13:33:51 EST
w3c-libwww no longer exists in Rawhide, remove the build dep and add
--disable-libwww-client for all distro versions?

Missing BuildRequires: libxml2-devel

Is there a good reason to introduce the static library?  Suggesting
--disable-static - see packaging guidelines

docs: drop configure_doc and INSTALL, move DEVELOPING to -devel (or drop it)?

License isn't quite BSD but rather looks like a collection of various licenses;
suggesting "Distributable"

Build fails on devel (gcc 4.1.0), even with --disable-libwww-client:
libwww.cpp:39: error: definition of 'void
xmlrpc_c::carriageParm_libwww0::carriageParm_libwww0(std::string)' is not in
namespace enclosing 'xmlrpc_c::carriageParm_libwww0'
libwww.cpp:46: error: definition of 'void
xmlrpc_c::carriageParm_libwww0Ptr::carriageParm_libwww0Ptr()' is not in
namespace enclosing 'xmlrpc_c::carriageParm_libwww0Ptr'
libwww.cpp:53: error: definition of 'void
xmlrpc_c::carriageParm_libwww0Ptr::carriageParm_libwww0Ptr(xmlrpc_c::carriageParm_libwww0*)'
is not in namespace enclosing 'xmlrpc_c::carriageParm_libwww0Ptr'#libwww.cpp:60:
error: definition of 'xmlrpc_c::carriageParm_libwww0*
xmlrpc_c::carriageParm_libwww0Ptr::operator->()' is not in namespace enclosing
'xmlrpc_c::carriageParm_libwww0Ptr'
libwww.cpp:72: error: definition of 'void
xmlrpc_c::clientXmlTransport_libwww::clientXmlTransport_libwww(std::string,
std::string)' is not in namespace enclosing 'xmlrpc_c::clientXmlTransport_libwww'
libwww.cpp:97: error: definition of 'void
xmlrpc_c::clientXmlTransport_libwww::clientXmlTransport_libwww()' is not in
namespace enclosing 'xmlrpc_c::clientXmlTransport_libwww'
Comment 3 Enrico Scholz 2005-12-15 15:45:48 EST
* Thu Dec 15 2005 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 1.04-0.1

- disabled w3c-libwww because it does not exist anymore in FC5 and
  seems to be unmaintained upstream
- added missing libxml2-devel
- cleaned up list of %%doc files
- fixed gcc4.1 build issues
- removed static libraries when there exists a corresponding dynamic one


http://ensc.de/fedora/xmlrpc-c.spec
http://ensc.de/fedora/xmlrpc-c-1.04-0.1.src.rpm


========


> Is there a good reason to introduce the static library?  Suggesting
> --disable-static - see packaging guidelines

It's not so easy... Upstream tries to replace the proved autotool
buildsystem with a custom, own one. So '--disable-static' does not
work. I workarounded it by removing some .a files manually.

But there will static libraries still stay. There does not exist a way
to build the dynamic counterpart of the static C++ libraries


> docs: drop configure_doc and INSTALL, move DEVELOPING to -devel (or
> drop it)?

ACK for configure_doc and INSTALL. But DEVELOPING might be useful and
I do not want to add a single %doc file to the -devel package


> License isn't quite BSD but rather looks like a collection of various
> licenses; suggesting "Distributable"

I use BSD/PSF now


gcc-4.1 build errors should be fixed
Comment 4 Ville Skyttä 2005-12-16 03:36:59 EST
Approved assuming the following are fixed before requesting the first build:

- Missing "Requires: libxml2-devel" in -devel, see xmlrpc-c-config --libs

- Use "%doc doc/*" instead of "%doc doc" in main package
Comment 5 Enrico Scholz 2005-12-18 13:50:51 EST
thx for the approval and the comments.

I added also a Requires: for 'curl-devel' because it is needed for client
functionality.
Comment 6 Orion Poplawski 2008-04-17 13:22:16 EDT
Enrico -  Can we get this into EPEL?
Comment 7 Jan Zeleny 2009-11-24 05:02:25 EST
Since this package has been approved, adding fedora‑review flag, so the review is formally complete.

Note You need to log in before you can comment on or make changes to this bug.